Skip to main content
PUT
PUT /v1/dataProducts/{id}/assets/add

Ports & Assets

Manage the input ports, output ports, and associated assets of a data product. These endpoints allow you to add or remove data assets from a data product without replacing the entire entity.

Add Assets

Use PUT /v1/dataProducts/{id}/assets/add to add assets to a data product.
id
string
required
UUID of the data product.
assets
array
required
Array of entity references to add as assets.

Remove Assets

Use PUT /v1/dataProducts/{id}/assets/remove to remove assets from a data product.
id
string
required
UUID of the data product.
assets
array
required
Array of entity references to remove.
PUT /v1/dataProducts/{id}/assets/add

Returns

Returns the updated data product object with the new version number reflecting the asset changes.

Error Handling